Page MenuHomePhabricator

Conversion to volunteer NDA for MaxSem
Closed, ResolvedPublic

Description

Account: @MaxSem

What types of NDA being requested:

  • Beta cluster access
  • Security issues access
  • NDA LDAP group

Reason for request: leaving WMF and reverting to my past volunteer self. I need access to the Beta cluster and Logstash for debugging purposes, and to security issues because I plan to continue helping with those. I've extensively used these in the past, and having them is essential to my ability to continue contributing as a volunteer developer.

Details

Related Gerrit Patches:
operations/puppet : productionadmins: add Max Semenik as ldap_only_admin
mediawiki/tools/release : masterRemove MaxSem from the list of deployers
operations/puppet : productionadmin: Remove myself (MaxSem)

Event Timeline

MaxSem created this task.Nov 22 2019, 10:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2019, 10:40 PM
Restricted Application added a project: Operations. · View Herald TranscriptNov 22 2019, 10:44 PM
Dzahn claimed this task.Nov 22 2019, 10:44 PM
Dzahn added a subscriber: RStallman-legalteam.

@RStallman-legalteam Please let Max sign the volunteer NDA docs.

@MaxSem Wanna sign L2 as well?

crusnov triaged this task as Medium priority.Nov 22 2019, 11:00 PM

As far as I know, no NDA is required for beta cluster access.

Change 552594 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add Max Semenik as ldap_only_admin

https://gerrit.wikimedia.org/r/552594

Change 552389 had a related patch set uploaded (by Dzahn; owner: MaxSem):
[operations/puppet@production] admin: Remove myself (MaxSem)

https://gerrit.wikimedia.org/r/552389

Change 552389 merged by Dzahn:
[operations/puppet@production] admin: Remove myself (MaxSem)

https://gerrit.wikimedia.org/r/552389

Removed Max from the "wmf" LDAP group and WMF-NDA in Phab. Will re-add as volunteer in "nda" group.

aezell added a subscriber: aezell.Nov 23 2019, 1:22 AM

As Max's former manager, I endorse his access to these resources under and NDA.

Change 552628 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/tools/release@master] Remove MaxSem from the list of deployers

https://gerrit.wikimedia.org/r/552628

Change 552628 merged by jenkins-bot:
[mediawiki/tools/release@master] Remove MaxSem from the list of deployers

https://gerrit.wikimedia.org/r/552628

Hi @MaxSem,

Happy to prepare an NDA for you. I will need your mailing address as well as personal email to send you the document for electronic signature. Could you send this info to: rstallman@wikimedia.org?

Many thanks!
~Rachel

Hi @RStallman-legalteam The email address is maxsem.wiki@gmail.com (no worries he already made it public all this time on the wiki user page).

I also belatedly endorse this, as Max's manager's manager :)

Max's NDA is fully signed and on file w/ legal.

Change 552594 merged by Dzahn:
[operations/puppet@production] admins: add Max Semenik as ldap_only_admin

https://gerrit.wikimedia.org/r/552594

Thanks Rachel.

@MaxSem I added you to the "nda" group in LDAP and also back into the "WMF-NDA" group in Phabricator.

Dzahn closed this task as Resolved.Nov 26 2019, 11:21 PM

I believe this is all that is to do here to check "beta cluster", "security issues" (you are still in the ACL group for that) and NDA LDAP group. Let us know if anything is missing.